import { Hono } from "hono";
import { cachedEntries, register } from "./index.ts";
import { kv } from "../lib/helpers/youtubePlayerHandling.ts";

const metrics = new Hono();

metrics.get("/", async () => {
    let i = 0;
    const entries = kv.list({ prefix: ["video_cache"] });
    for await (const _ of entries) {
        i += 1;
    }
    cachedEntries.set(i);
    return new Response(await register.metrics(), {
        headers: { "Content-Type": "text/plain" },
    });
});

export default metrics;
